{% extends 'shared/_dashboard.html' %}
{% load static %}


{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <h1>Dashboard</h1>
        </div>
        <div class="col-lg-12 col-xl-6">
            <div class="icon-cards-row">
                <div class="glide dashboard-numbers">
                    <div class="glide__track" data-glide-el="track">
                        <ul class="glide__slides">
                            <li class="glide__slide">
                                <a href="{% url 'dashboard:application-list' %}" class="card">
                                    <div class="card-body text-center">
                                        <i class="iconsminds-light-bulb-2"></i>
                                        <p class="card-text mb-0">Projects</p>
                                        <p class="lead text-center">{{ project_count }}</p>
                                    </div>
                                </a>
                            </li>
                            <li class="glide__slide">
                                {% comment %} <a href="{% url 'dashboard:ticket-create' %}" class="card"> {% endcomment %}
                                <a href="#" class="card">
                                    <div class="card-body text-center">
                                        <i class="iconsminds-mail-read"></i>
                                        <p class="card-text mb-0">Tickets</p>
                                        <p class="lead text-center">{{ ticket_count }}</p>
                                    </div>
                                </a>
                            </li>
                            <li class="glide__slide">
                                <a href="#" class="card">
                                    <div class="card-body text-center" data-toggle="modal" data-target="#in-progress">
                                        <i class="iconsminds-arrow-refresh"></i>
                                        <p class="card-text mb-0">Inprogress Request</p>
                                        {% if profile_status %}
                                            <p class="lead text-center">{{ inprogress_requests_count }}</p>
                                        {% else %}
                                            <p class="lead text-center">1</p>
                                        {% endif %}
                                    </div>
                                </a>
                            </li>
                            <li class="glide__slide">
                                <a href="#" class="card">
                                    <div class="card-body text-center">
                                        <i class="iconsminds-basket-coins"></i>
                                        <p class="card-text mb-0">Complete Request</p>
                                        <p class="lead text-center">{{ complete_requests_count }}</p>
                                    </div>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="card">
                        <div class="position-absolute card-top-buttons">

                            <button class="btn btn-header-light icon-button" type="button" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">
                                <i class="simple-icon-refresh"></i>
                            </button>

                        </div>

                        <div class="card-body">
                            <h5 class="card-title">Views</h5>
                            <div class="dashboard-line-chart chart">
                                <canvas id="salesChart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-xl-6 col-lg-12 mb-4">
            <div class="card">
             
                    
                <div class="card-body">
                    <h5 class="card-title">Recent Projects</h5>
                    <hr/>
                    <div class="scroll dashboard-list-with-thumbs">

                        {% if projects %}
                            {% for project in projects  %}
                                {% if project.application.is_published %}
                                    <div class="d-flex flex-row mb-3">
                                        <a class="img-thumbnail list-thumbnail xsmall border-0 rounded-circle" href="{% url 'dashboard:application-edit' project.application.sku %}">
                                            {% if project.cover %}
                                                <img src="{{ project.cover.url }} " alt="{{ project.title }}" class="list-thumbnail border-0" />
                                            {% else %}
                                                <img src="https://via.placeholder.com/300" alt="{{ project.title }}" class="list-thumbnail border-0" />

                                            {% endif %}
                                        <div class="pl-3 pt-2 pr-2 pb-2">
                                            <a href="{% url 'dashboard:application-edit' project.application.sku %}">
                                                <p class="list-item-heading">{{ project.title }}</p>
                                                <div class="pr-4 d-none d-sm-block">
                                                    <p class="text-muted mb-1 text-small">{{project.summary |safe }}</p>
                                                </div>
                                                <div class="text-primary text-small font-weight-medium d-none d-sm-block">
                                                    {{ project.created  }}</div>
                                            </a>
                                        </div>
                                    </div>
                                    <hr/>
                                {% endif %}
                            {% endfor %}

                        {% else %}

                            <h1>you dont have any project</h1>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12 col-lg-4 mb-4">
            <div class="card h-100">
                <div class="card-body">
                    <h5 class="card-title">Product Categories</h5>
                    <div class="dashboard-donut-chart chart">
                        <canvas id="polarChart"></canvas>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-sm-12 mb-4">
            <div class="card dashboard-progress">
                <div class="position-absolute card-top-buttons">
                    <button class="btn btn-header-light icon-button">
                        <i class="simple-icon-refresh"></i>
                    </button>
                </div>
                <div class="card-body">
                    <h5 class="card-title">User Process</h5>
                    <div class="mb-4">
                        <p class="mb-2">
                            <span>Profile</span>
                            <span class="float-right text-muted">{{ profile_progress_num }}/13</span>
                        </p>
                        <div class="progress">
                            <div class="progress-bar" role="progressbar" aria-valuenow="{{ profile_progress }}"></div>
                        </div>
                    </div>

                    <div class="mb-4">
                        <p class="mb-2">Application
                            <span class="float-right text-muted">{{ complete_applications_current }}/{{ complete_applications_total }}</span>
                        </p>
                        <div class="progress">
                            <div class="progress-bar" role="progressbar" aria-valuenow="{{ complete_applications_progress }}" ></div>
                        </div>
                    </div>

                    <div class="mb-4">
                        <p class="mb-2">Project
                            <span class="float-right text-muted">{{ complete_project_current }}/{{ complete_project_total }}</span>
                        </p>
                        <div class="progress">
                            <div class="progress-bar" role="progressbar" aria-valuenow="{{ complete_project_progress }}" ></div>
                        </div>
                    </div>

                    <div class="mb-4">
                        <p class="mb-2">Legal Documents
                            <span class="float-right text-muted">1/2</span>
                        </p>
                        <div class="progress">
                            <div class="progress-bar" role="progressbar" aria-valuenow="50" aria-valuemin="0"
                                aria-valuemax="100"></div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="col-md-6 col-lg-4 mb-4">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Tickets</h5>
                    <div class="scroll dashboard-list-with-user">
                        {% if not tickets %}
                        <div class="d-flex flex-row mb-3 pb-3 border-bottom">
                            <div class="pl-3">
                                <p class="font-weight-medium mb-0 ">No record found</p>
                            </div>
                        </div>
                        {% else %}
                            {% for ticket in tickets %}
                          
                                <div class="d-flex flex-row mb-3 pb-3 border-bottom">
                                    {% comment %} <a href="{% url 'dashboard:ticket-detail' ticket.sku %}"> {% endcomment %}
                                    <a href="#">
                                        {% if ticket.raised_by.profile.picture %}
                                            <img src="{{ ticket.raised_by.profile.picture.url }}" alt="{{ ticket.raised_by.get_full_name }}" class="img-thumbnail border-0 rounded-circle list-thumbnail align-self-center xsmall" />
                                        {% else %}
                                            <img src="https://via.placeholder.com/100" alt="{{ ticket.raised_by.get_full_name }}" class="img-thumbnail border-0 rounded-circle list-thumbnail align-self-center xsmall" />
                                        {% endif %}
                                    </a>
                                    <div class="pl-3">
                                        {% comment %} <a href="{% url 'dashboard:ticket-detail' ticket.sku %}"> {% endcomment %}
                                        <a href="#">
                                            <p class="font-weight-medium mb-0 ">{{ ticket.sku }}</p>
                                            
                                            <p class="font-weight-medium mb-0 ">{{ ticket.raised_by.get_full_name }}</p>
                                            <p class="text-muted mb-0 text-small">{{ ticket.created }}</p>
                                        </a>
                                    </div>
                                </div>
                                
                            {% endfor %}
                        {% endif %}

                    </div>

                </div>
            </div>
        </div>
    </div>
    {% for application in user.applications.all %}
        <h5>Application #{{ forloop.counter }}</h5>
        <div class="row sortable">
            {% for ID, progress in whole_process %}
                {% if ID == application.sku %}
                    <div class="col-xl-3 col-lg-6 mb-4">
                        <div class="card">
                            <div class="card-header p-0 position-relative">
                                <div class="position-absolute handle card-icon">
                                    <i class="simple-icon-shuffle"></i>
                                </div>
                            </div>
                            <div class="card-body d-flex justify-content-between align-items-center">
                                <h6 class="mb-0">Whole Process</h6>
                                <div role="progressbar" class="progress-bar-circle position-relative" data-color="#922c88"
                                    data-trailColor="#d7d7d7" aria-valuenow="{{ progress }}" data-show-percent="true">
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}

            {% for ID, progress in applications_status %}
                {% if ID == application.sku %}
                    <div class="col-xl-3 col-lg-6 mb-4">
                        <div class="card">
                            <div class="card-header p-0 position-relative">
                                <div class="position-absolute handle card-icon">
                                    <i class="simple-icon-shuffle"></i>
                                </div>
                            </div>
                            <div class="card-body d-flex justify-content-between align-items-center">
                                <h6 class="mb-0">Application Status</h6>
                                <div role="progressbar" class="progress-bar-circle position-relative" data-color="#922c88"
                                    data-trailColor="#d7d7d7" aria-valuenow="{{ progress }}" data-show-percent="true">
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
            
            {% if not application.project %}
                <div class="col-xl-3 col-lg-6 mb-4">
                    <div class="card">
                        <div class="card-header p-0 position-relative">
                            <div class="position-absolute handle card-icon">
                                <i class="simple-icon-shuffle"></i>
                            </div>
                        </div>
                        <div class="card-body d-flex justify-content-between align-items-center">
                            <h6 class="mb-0">Project Not Created</h6>
                            <div role="progressbar" class="progress-bar-circle position-relative" data-color="#922c88"
                                data-trailColor="#d7d7d7" aria-valuenow="0" data-show-percent="true">
                            </div>
                        
                        </div>
                    </div>
                </div>
            {% endif %}

            {% for ID, progress in projects_status %}
                {% if ID == application.project.sku %}
                    <div class="col-xl-3 col-lg-6 mb-4">
                        <div class="card">
                            <div class="card-header p-0 position-relative">
                                <div class="position-absolute handle card-icon">
                                    <i class="simple-icon-shuffle"></i>
                                </div>
                            </div>
                            <div class="card-body d-flex justify-content-between align-items-center">
                                <h6 class="mb-0">Project Status</h6>
                                <div role="progressbar" class="progress-bar-circle position-relative" data-color="#922c88"
                                    data-trailColor="#d7d7d7" aria-valuenow="{{ progress }}" data-show-percent="true">
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
           
            <div class="col-xl-3 col-lg-6 mb-4">
                <div class="card">
                    <div class="card-header p-0 position-relative">
                        <div class="position-absolute handle card-icon">
                            <i class="simple-icon-shuffle"></i>
                        </div>
                    </div>
                    <div class="card-body d-flex justify-content-between align-items-center">
                        <h6 class="mb-0">Payment Status</h6>
                        <div role="progressbar" class="progress-bar-circle position-relative" data-color="#922c88"
                            data-trailColor="#d7d7d7" aria-valuenow="0" data-show-percent="true">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}
    <div class="container">
        <div class="modal fade" id="in-progress" role="dialog">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">In-progress requests</h4>
                    </div>
                    <div class="modal-body">
                        {% for t in inprogress_requests %}
                            {% if not profile_status %}
                                <div class="alert alert-success" role="alert">
                                    <a href="{% url 'dashboard:application-edit' t.sku %}" class="card-text mb-0">MAIN: First complete your profile.</a>
                                </div>
                            {% else %}
                                <div class="alert alert-success" role="alert">
                                    <a href="{% url 'dashboard:application-edit' t.sku %}" class="card-text mb-0">
                                        Task-{{ forloop.counter }}: 
                                        {% for step in t.steps.all %} 
                                        {% if step.state == 'i' %} 
                                        {% if step.get_step_display == 'Result' %}
                                        Check Result Status
                                        {% else %}
                                        Please Fill {{ step.get_step_display }} Form
                                        {% endif %}
                                        {% endif %} 
                                        {% endfor %} 
                                        
                                        [ Deneb-{{ t.sku|truncatechars:6 }} ] 
                                    </a>
                                </div>
                                {% endif %}
                        {% endfor %}
                    <div class="modal-footer">
                        <button style="float: right;" class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
            </div>
        </div>
    </div>

</div>

{% endblock %}